/**
 * Copyright (c) 2024 LOBA
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
 * the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
 * FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 * COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
 * IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
 * CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * SPDX-License-Identifier: MIT
 * 
 * Contributors:
 *     [name] - [contribution]
 */

.user-profile {

    display: flex;
    align-items: center;
    gap: rem(8);
    position: relative;
    text-decoration: none;
    color: var(--black);

    .img {
        display: block;
        position: relative;
        width: rem(44);
            height: rem(44);

        &::after {
            content: '';
            position: absolute;
            width: rem(44);
            height: rem(44);
            left: 0;
            top: rem(8);
            background-color: var(--black);
            opacity: 0.5;
            filter: blur(rem(8));
            border-radius: rem(22);

        }

        img {
            border-radius: rem(44);
            width: 100%;
            height: 100%;
            object-fit: cover;
            object-position: center;
            position: relative;
            z-index: 1;
        }

    }

    &.size-xs {
        
        .img {
            width: rem(32);
            height: rem(32);
            
            &::after {
                display: none;
            }
        }

        .text {
            font-size: rem(14);
            color: var(--color-default-1);
        }

        .notification {
            display: none;
        }

    }

    .text {
        width: 50%;
        font-size: rem(13);
        line-height: rem(16);
        font-weight: 600;
        color: var(--white);
    }

    .notification {
        position: absolute;
        font-size: rem(10);
        color: var(--white);
        font-weight: 700;
        right: rem(-1);
        top: rem(-1);
        background: linear-gradient(90deg, #F7931E 0%, #BE5001 50%, #F7931E 100%);
        border-radius: rem(16);
        min-width: rem(14);
        min-height: rem(14);
        line-height: rem(14);
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 2;
    }

    &-dropdown{
        position: absolute;
        top: rem(55);
        left: 0;
        right: 0;
        background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
        border: 1px solid var(--color-default-2);
        border-radius: rem(24);
        padding: rem(24);
        z-index: 2;
        opacity: 0;
        visibility: hidden;
        transition: all 0.3s ease;
    }

    &-item{
        display: flex;
        align-items: center;
        padding-bottom: rem(16);
        border: none;
        border-bottom: 1px solid rgba($color: #ABA7EE, $alpha: 0.2);
        background: transparent;
        cursor: pointer;
        transition: all 0.3s ease;

        &:last-child{
            padding-bottom: 0;
            padding-left: 0;
            padding-right: 0;
            padding-top: rem(16);
            border-bottom: none;
        }

        i{
            font-size: rem(12);
            color: var(--color-default-2);
        }

        span{
            font-size: rem(14);
            line-height: rem(21);
            font-weight: 600;
            color: var(--color-default-2);
            margin-left: rem(15);
        }

        &:hover{
            i, span{
                color: var(--white);
            }
        }
    }

    &:hover{
        .user-profile-dropdown{
            opacity: 1;
            visibility: visible;
        }
    }
}

.settings-area{
    position: relative;
    text-decoration: none;
    cursor: pointer;

    .settings-dropdown{
        width: fit-content;
        min-width: 195px;
        position: absolute;
        top: rem(55);
        left: 0;
        right: 0;
        background: radial-gradient(50% 50% at 50% 50%, rgba(171, 167, 238, 0.2) 0%, rgba(133, 127, 228, 0.2) 100%);
        border: 1px solid var(--color-default-2);
        border-radius: rem(24);
        padding: rem(20);
        z-index: 2;
        opacity: 0;
        visibility: hidden;
        transition: all 0.3s ease;

        &-item{
            display: flex;
            align-items: center;
            padding-bottom: rem(16);
            border: none;
            border-bottom: 1px solid rgba($color: #ABA7EE, $alpha: 0.2);
            background: transparent;
            cursor: pointer;
            transition: all 0.3s ease;
    
            &:last-child{
                padding-bottom: 0;
                padding-left: 0;
                padding-right: 0;
                padding-top: rem(16);
                border-bottom: none;
            }
    
            i{
                font-size: rem(24);
                color: var(--color-default-2);
            }
    
            span{
                font-size: rem(14);
                line-height: rem(21);
                font-weight: 600;
                color: var(--color-default-2);
                margin-left: rem(8);
            }
    
            &:hover{
                i, span{
                    color: var(--white);
                }
            }
        }
    }

    &:hover{
        .settings-dropdown{
            opacity: 1;
            visibility: visible;
        }
    }

}